Subject: Re: bug#54970: 28.1; Some emoji no longer display

From: Eli Zaretskii <[email-masked]>
Date: Mon, 18 Apr 2022 07:29:00 +0300

> Date: Sun, 17 Apr 2022 21:34:52 +0100
> From: Alan Third <[email-masked]>
> 
> >     case GLYPHLESS_GLYPH:
> >       if (s->for_overlaps || (s->cmp_from > 0
> > 			      && ! s->first_glyph->u.cmp.automatic))
> >         s->background_filled_p = 1;
> >       else
> >         ns_maybe_dumpglyphs_background
> >           (s, s->first_glyph->type == COMPOSITE_GLYPH);
> >       /* ... */
> >       /* Not yet implemented.  */
> >       /* ... */
> >       break;
> 
> To answer my own question: yes. Yes it is.
> 
> Patch attached.
> 
> It doesn't look to me like it displays quite right, the right hand
> side of the hex code gets cut off on my Mac and under GNUstep only the
> first line is displayed, but I can't see any reason for it.

Can you show screenshots?  I'm not sure I understand the description
of the display problems that this code yields.

The font used for the hex code should be a smaller one, and that is
determined elsewhere in the display code, so maybe that part also
needs some fix in the NS build?

Thanks.